Bug 155808 - No device nod for IDE zip drive
No device nod for IDE zip drive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-23 12:40 EDT by Yao Zhang
Modified: 2008-01-19 23:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yao Zhang 2005-04-23 12:40:08 EDT
Description of problem:

The IDE zip drive is on hdd.  Here is relevant /var/log/dmesg lines:

PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:pio, hdd:DMA
Probing IDE interface ide1...
hdd: IOMEGA ZIP 100 ATAPI, ATAPI FLOPPY drive
hdd: No disk in drive
hdd: 98304kB, 96/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm

Even though /etc/fstab has

/dev/hdd4    /media/zip    auto    pamconsole,exec,noauto,managed 0 0

but there is no /dev/hdd4.  No /sys/block/hdd/hdd4 either.

After I created /dev/hdd4 manually,

/dev/MAKEDEV -v /dev/hdd4

and insert a zip disk in the drive, mount it,

mount -t vfat /dev/hdd4 /mnt

The whole system just hangs and I have to turn off the power and on again
to reboot.  See bug#122444.

Version-Release number of selected component (if applicable):

udev-057-2
kernel-2.6.11-1.1261_FC4


How reproducible:
Always.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alexander Viro 2005-10-04 04:46:32 EDT
Interesting...  At which point do you get the message mentioning
capacity and do you get anything about partition table on that
puppy?  What does /proc/partitions show?
Comment 2 Yao Zhang 2005-10-04 11:10:19 EDT
In /var/log/dmesg, I see a line
hdd: 98304kB, 96/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm
no other message about capacity.  The /proc/partitions has no hdd
either:
major minor  #blocks  name

   3     0  117220824 hda
   3     1     987966 hda1
   3     2          1 hda2
   3     3   57625155 hda3
   3     5     104391 hda5
   3     6    5863693 hda6
   3     7     104391 hda7
   3     8    5791401 hda8
   3     9     104391 hda9
   3    10    5839596 hda10
   8     0    4462500 sda
   8     1    1052226 sda1
   8     2    2096482 sda2
   8     3    1309297 sda3
   8    16    4462500 sdb
   8    17    4458006 sdb1
Comment 3 Yao Zhang 2006-03-17 16:02:11 EST
Tried it today.  It is working now.  Although I have to mount the zip
disk manually, no udev event.

udev-084-13
kernel-2.6.15-1.2054_FC5
Comment 4 Dave Jones 2006-10-16 14:18:24 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:39:29 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.